%global git_ver 5453389

Name:           birdtray
Version:        1.7.1
Release:        %{?git_ver:0.1.git%{git_ver}}%{!?git_ver:1}%{?dist}
Summary:        New mail notification for Thunderbird 60+
License:        GPL-3.0-only
Group:          Productivity/Graphics/Other
URL:            https://github.com/gyunaev/birdtray
Source0:        %{name}-%{version}%{?git_ver:.git%{git_ver}}.tar.xz
BuildRequires:  gcc-c++ cmake
BuildRequires:  cmake
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(x11)

%description
A free, cross-platform (Linux/Windows/OS X) system tray notification for new mail
for Thunderbird.

Features
- Shows the unread email counter in the Thunderbird system tray icon.
- Optionally can animate the Thunderbird system tray icon if new mail is received.
- You can snooze new mail notifications for a specific time period.
- Birdtray checks the unread e-mail status directly by reading the Thunderbird
  email search database. This means it does not need any extensions, and thus is
  immune to any future extension API changes in Thunderbird.
- Starting from version 0.2 if you click on Birdtray icon, it can hide the
  Thunderbird window, and restore it. There is also context menu for that.
- You can configure which accounts you want to check for unread emails on.
- You can choose different font colors for different email accounts. This allows
  you, for example, to have blue unread count for personal emails, red unread
  count for work emails, and green unread count if both folders have unread mail.
- Can launch Thunderbird when Birdtray starts, and terminate it when Birdtray
  quits (configurable).
- You can choose the tray icon, or use Thunderbird original icon.
- Can monitor that Thunderbird is running, and indicate it if you accidentally
  closed it.

%prep
%setup -q -n %{name}-%{version}%{?git_ver:.git%{git_ver}}

%build
mkdir build
pushd build
%cmake ..
%make_build
popd

%install
install -Dm0755 build/birdtray %{buildroot}%{_bindir}/birdtray
install -Dm0644 src/res/thunderbird.png %{buildroot}%{_datadir}/pixmaps/birdtray.png
mkdir -p %{buildroot}%{_datadir}/applications/
cat <<EOF> %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Version=%{version}
Name=BirdTray
GenericName=New Mail Notification for Thunderbird
Type=Application
Exec=/usr/bin/birdtray
Icon=birdtray
Categories=Network;Email;
Terminal=false
EOF

%files
%license LICENSE.txt
%{_bindir}/birdtray
%{_datadir}/applications/birdtray.desktop
%{_datadir}/pixmaps/birdtray.png

%changelog
* Mon Feb 17 2020 Tomas Chang <changyp6@gmail.com> - 1.7.1.git5453389
- Update to latest git

* Tue Sep 17 2019 Tomas Chang <changyp6@gmail.com> - 1.7.git03ba3fb
- Initial build
